# Custom Field Debugger

Custom Field Debugger works on Yext pages to markup and highlight HTML elements which use data from Yext Knowledge Graph

## Usage
On a Yext pages site, install the NPM package:

```
npm install @yext/custom-field-debugger
```

Then, use the React component, for example:

```
// src/templates/index.tsx:

import { CustomFieldDebuggerReactProvider } from '@yext/custom-field-debugger';

...

const Index = (props) => {
  return (
    <CustomFieldDebuggerReactProvider>
      // Index template jsx here
    </CustomFieldDebuggerReactProvider>
  )
}
```

On the page rendered with this template, you can add the URL parameter `yextCFDebug=true` to enable the Custom Field Debugger.

## Development
1. Make some changes to the repo. You can probably add `"@yext/custom-field-debugger": "file:../custom-field-debugger",` to load your changes locally into a repo for testing.
2. Don't forget to increment the version number!
3. `npm run release` to build the TS files, and generate the TS types
4. `npm publish` to update the package on npmjs
